[Launch]
ProgramExecutable=MPC-BE\mpc-be.exe
ProgramExecutable64=MPC-BE64\mpc-be64.exe
DirectoryMoveOK=yes 
SupportsUNC=yes

[Activate]
Registry=true

[RegistryKeys]
Gabest_LM=HKLM\Software\Gabest
Gabest_CU=HKCU\Software\Gabest
MPC-BE_LM=HKLM\Software\MPC-BE
MPC-BE_CU=HKCU\Software\MPC-BE
InterVideo=HKLM\Software\InterVideo

[RegistryValueBackupDelete]
1=HKLM\SOFTWARE\RegisteredApplications\MPC-BE

[Language]
Base=%PortableApps.comLocaleName%
Default=kr
CheckIfExists=%FullAppDir%\Lang\mpcresources.%PAL:LanguageCustom%.dll
DefaultIfNotExists=kr

[LanguageStrings]
ENGLISH=en
SIMPCHINESE=sc
TRADCHINESE=tc
BASQUE=eu
CATALAN=ca
CZECH=cz
DUTCH=nl
FRENCH=fr
GERMAN=de
GREEK=el
HEBREW=he
HUNGARIAN=hu
ITALIAN=it
JAPANESE=ja
KOREAN=kr
POLISH=pl
PORTUGUESEBR=br
ROMANIAN=ro
RUSSIAN=ru
SLOVAK=sk
SPANISH=es
SWEDISH=sv
TURKISH=tr
UKRAINIAN=ua

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\mpc-be.ini
Section=Settings
Key=Language

[FileWrite1]
Type=INI
File=%PAL:DataDir%\settings\mpc-be.ini
Section=Settings
Key=Language
Value=%PAL:LanguageCustom%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\mpc-be.ini
Find=%PAL:LastPackagePartialDir%
Replace=%PAL:PackagePartialDir%

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\mpc-be.ini
Find=%PAL:LastPortableAppsBaseDir%
Replace=%PAL:PortableAppsBaseDir%

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\mpc-be.ini
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite5]
Type=Replace
File=%PAL:DataDir%\settings\default.mpcpl
Find=%PAL:LastPackagePartialDir%
Replace=%PAL:PackagePartialDir%

[FileWrite6]
Type=Replace
File=%PAL:DataDir%\settings\default.mpcpl
Find=%PAL:LastPortableAppsBaseDir%
Replace=%PAL:PortableAppsBaseDir%

[FileWrite7]
Type=Replace
File=%PAL:DataDir%\settings\default.mpcpl
Find=%PAL:LastDrive%\
Replace=%PAL:Drive%\

[FileWrite8]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_LM.reg
Find=%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite9]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_LM.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%

[FileWrite10]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_LM.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite11]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_CU.reg
Find=%PAL:LastPackagePartialDir:DoubleBackslash%
Replace=%PAL:PackagePartialDir:DoubleBackslash%

[FileWrite12]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_CU.reg
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%

[FileWrite13]
Type=Replace
File=%PAL:DataDir%\settings\MPC-BE_CU.reg
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\
